Subject: Re: [PATCH 20/34] sequencer (rebase -i): copy commit notes at end

From: Dennis Kaarsemaker <[email-masked]>
Date: Thu, 01 Sep 2016 09:20:31 +0200

On wo, 2016-08-31 at 10:55 +0200, Johannes Schindelin wrote:
> +               if (!stat(rebase_path_rewritten_list(), &st) &&
> +                               st.st_size > 0) {
> +                       struct child_process child = CHILD_PROCESS_INIT;
> +
> +                       child.in = open(rebase_path_rewritten_list(), O_RDONLY);
> +                       child.git_cmd = 1;
> +                       argv_array_push(&child.args, "notes");
> +                       argv_array_push(&child.args, "copy");
> +                       argv_array_push(&child.args, "--for-rewrite=rebase");
> +                       /* we don't care if this copying failed */
> +                       run_command(&child);
> +               }

I know this is a strict port of git-rebase--interactive.sh, but
shouldn't we at least warn the user that the copy failed?

D.